Bug 1099427 - JDG630.Security.BetweenNodes
Summary: JDG630.Security.BetweenNodes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups, Server
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER5
: 6.3.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
: 1097758 (view as bug list)
Depends On:
Blocks: 1092056
TreeView+ depends on / blocked
 
Reported: 2014-05-20 09:54 UTC by Tristan Tarrant
Modified: 2015-01-26 14:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-26 14:03:53 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-4303 0 Major Resolved Integrate jgroups server subsystem with security realm 2017-12-20 11:27:54 UTC

Description Tristan Tarrant 2014-05-20 09:54:49 UTC
As a system administrator, I want the communication between nodes

to be secure. I also want to configure secure communication using

a convenient process which scales to large clusters.

New nodes (or merging partitions) should authenticate themselves before they are allowed to join the cluster.

 

The objective is to enable secure communication within node of a

cluster in a convenient manner, preferable at the Cluster level (not just

node level). This will enable easy configuration for large clusters.

Comment 2 Vojtech Juranek 2014-05-23 08:47:06 UTC
*** Bug 1097758 has been marked as a duplicate of this bug. ***

Comment 3 Vojtech Juranek 2014-05-23 12:09:53 UTC
Verified joining node authentication with DIGEST-MD5 and GSSAPI mechanisms.


Note You need to log in before you can comment on or make changes to this bug.